import React from 'react';
import { SelectOption } from '@highlight-ui/select';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { TagInputProps } from './TagInput';
export declare type TagPickerProps<T> = PropsWithMetadata<{
    /**
     * List of options which should be shown in the dropdown
     */
    options: T[];
    /**
     * Allows providing a custom class name to the Select
     */
    className?: string;
} & TagInputProps>;
declare function TagPickerWithRef<T extends SelectOption>({ tags, onInputChange, onTagAdd, onTagRemove, options, className, metadata, suffix, }: TagPickerProps<T>, ref: React.Ref<HTMLDivElement>): JSX.Element;
declare namespace TagPickerWithRef {
    var displayName: string;
}
export declare const TagPicker: <T extends SelectOption>(props: {
    /**
     * List of options which should be shown in the dropdown
     */
    options: T[];
    /**
     * Allows providing a custom class name to the Select
     */
    className?: string | undefined;
} & {
    tags: import("@highlight-ui/tag").TagProps[];
    onInputClick?: (() => void) | undefined;
    onInputChange?: ((inputStr: string) => void) | undefined;
    onTagAdd: (inputStr: string) => void;
    onTagRemove: (tag: import("@highlight-ui/tag").TagProps, index: number) => void;
    suffix?: string | undefined;
    className?: string | undefined;
    selectRef?: React.RefObject<HTMLDivElement> | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    ref?: React.Ref<HTMLDivElement> | undefined;
}) => ReturnType<typeof TagPickerWithRef>;
export {};
